const jwt = require('jsonwebtoken');


function verifyToken(token, email) {
    return new Promise((resolve, reject) => {
    
        jwt.verify(token, process.env.RPP_GW_AUTH_TOKEN_SECRET, function(err, decoded) {
            if (!err && (decoded.iat + decoded.expiresIn) * 1000 > new Date().getTime()) {
                resolve({ error: null });
            } else {
                reject({ error: true, err });
            }
        });
    })
}

module.exports = {
    verifyToken
};
